Sound: Filter (pre-emphasis)...

A command to filter each selected Sound object. The resulting Sound object has a higher spectral slope.

The reverse of Sound: Filter (de-emphasis)....

## Setting

From frequency (Hz)
  the frequency F above which the spectral slope will increase by 6 dB/octave.

## Algorithm

The pre-emphasis factor α is computed as

α = exp (-2 π F Δt)

where Δt is the sampling period of the sound. The new sound y is then computed as:

yi = xi - α xi-1

### Links to this page

- Filtering
- Sound: Pre-emphasize (in-place)...